Loading...
Searching...
No Matches
icu::number::UnlocalizedNumberRangeFormatter Class Reference

A NumberRangeFormatter that does not yet have a locale. More...

`#include <numberrangeformatter.h>`

Inheritance diagram for icu::number::UnlocalizedNumberRangeFormatter:

## Public Member Functions

LocalizedNumberRangeFormatter | locale (const icu::Locale &locale) const &
| Associate the given locale with the number range formatter.
LocalizedNumberRangeFormatter | locale (const icu::Locale &locale) &&
| Overload of locale() for use on an rvalue reference.
| UnlocalizedNumberRangeFormatter ()=default
| Default constructor: puts the formatter into a valid but undefined state.
| UnlocalizedNumberRangeFormatter (const UnlocalizedNumberRangeFormatter &other)
| Returns a copy of this UnlocalizedNumberRangeFormatter.
| UnlocalizedNumberRangeFormatter (UnlocalizedNumberRangeFormatter &&src) noexcept
| Move constructor: The source UnlocalizedNumberRangeFormatter will be left in a valid but undefined state.
UnlocalizedNumberRangeFormatter & | operator= (const UnlocalizedNumberRangeFormatter &other)
| Copy assignment operator.
UnlocalizedNumberRangeFormatter & | operator= (UnlocalizedNumberRangeFormatter &&src) noexcept
| Move assignment operator: The source UnlocalizedNumberRangeFormatter will be left in a valid but undefined state.
Public Member Functions inherited from icu::number::NumberRangeFormatterSettings< UnlocalizedNumberRangeFormatter >
UnlocalizedNumberRangeFormatter | numberFormatterBoth (const UnlocalizedNumberFormatter &formatter) const &
| Sets the NumberFormatter instance to use for the numbers in the range.
UnlocalizedNumberRangeFormatter | numberFormatterFirst (const UnlocalizedNumberFormatter &formatterFirst) const &
| Sets the NumberFormatter instance to use for the first number in the range.
UnlocalizedNumberRangeFormatter | numberFormatterSecond (const UnlocalizedNumberFormatter &formatterSecond) const &
| Sets the NumberFormatter instance to use for the second number in the range.
UnlocalizedNumberRangeFormatter | collapse (UNumberRangeCollapse collapse) const &
| Sets the aggressiveness of "collapsing" fields across the range separator.
UnlocalizedNumberRangeFormatter | identityFallback (UNumberRangeIdentityFallback identityFallback) const &
| Sets the behavior when the two sides of the range are the same.
LocalPointer< UnlocalizedNumberRangeFormatter > | clone () const &
| Returns the current (Un)LocalizedNumberRangeFormatter as a LocalPointer wrapping a heap-allocated copy of the current object.
UBool | copyErrorTo (UErrorCode &outErrorCode) const
| Sets the UErrorCode if an error occurred in the fluent chain.

## Friends

class | NumberRangeFormatterSettings< UnlocalizedNumberRangeFormatter >
class | NumberRangeFormatter
class | LocalizedNumberRangeFormatter

## Detailed Description

A NumberRangeFormatter that does not yet have a locale.

In order to format, a locale must be specified.

Instances of this class are immutable and thread-safe.

See also
  NumberRangeFormatter

Stable
  ICU 63

Definition at line 383 of file numberrangeformatter.h.

## Constructor & Destructor Documentation

## UnlocalizedNumberRangeFormatter() [1/3]

icu::number::UnlocalizedNumberRangeFormatter::UnlocalizedNumberRangeFormatter | ( |  | ) |

default

Default constructor: puts the formatter into a valid but undefined state.

Stable
  ICU 63

Referenced by operator=(), operator=(), UnlocalizedNumberRangeFormatter(), and UnlocalizedNumberRangeFormatter().

## UnlocalizedNumberRangeFormatter() [2/3]

icu::number::UnlocalizedNumberRangeFormatter::UnlocalizedNumberRangeFormatter | ( | const UnlocalizedNumberRangeFormatter & | other | ) |

Returns a copy of this UnlocalizedNumberRangeFormatter.

Stable
  ICU 63

References UnlocalizedNumberRangeFormatter().

## UnlocalizedNumberRangeFormatter() [3/3]

icu::number::UnlocalizedNumberRangeFormatter::UnlocalizedNumberRangeFormatter | ( | UnlocalizedNumberRangeFormatter && | src | ) |

noexcept

Move constructor: The source UnlocalizedNumberRangeFormatter will be left in a valid but undefined state.

Stable
  ICU 63

References UnlocalizedNumberRangeFormatter().

## Member Function Documentation

## locale() [1/2]

LocalizedNumberRangeFormatter icu::number::UnlocalizedNumberRangeFormatter::locale | ( | const icu::Locale & | locale | ) | &&

Overload of locale() for use on an rvalue reference.

Parameters

  locale | The locale to use when loading data for number formatting.

Returns
  The fluent chain.

See also
  locale

Stable
  ICU 63

References locale().

## locale() [2/2]

LocalizedNumberRangeFormatter icu::number::UnlocalizedNumberRangeFormatter::locale | ( | const icu::Locale & | locale | ) | const &

Associate the given locale with the number range formatter.

The locale is used for picking the appropriate symbols, formats, and other data for number display.

Parameters

  locale | The locale to use when loading data for number formatting.

Returns
  The fluent chain.

Stable
  ICU 63

References locale().

Referenced by locale(), and locale().

## operator=() [1/2]

UnlocalizedNumberRangeFormatter & icu::number::UnlocalizedNumberRangeFormatter::operator= | ( | const UnlocalizedNumberRangeFormatter & | other | ) |

Copy assignment operator.

Stable
  ICU 63

References UnlocalizedNumberRangeFormatter().

## operator=() [2/2]

UnlocalizedNumberRangeFormatter & icu::number::UnlocalizedNumberRangeFormatter::operator= | ( | UnlocalizedNumberRangeFormatter && | src | ) |

noexcept

Move assignment operator: The source UnlocalizedNumberRangeFormatter will be left in a valid but undefined state.

Stable
  ICU 63

References UnlocalizedNumberRangeFormatter().

## Friends And Related Symbol Documentation

## LocalizedNumberRangeFormatter

friend class LocalizedNumberRangeFormatter

friend

Definition at line 460 of file numberrangeformatter.h.

## NumberRangeFormatter

friend class NumberRangeFormatter

friend

Definition at line 457 of file numberrangeformatter.h.

## NumberRangeFormatterSettings< UnlocalizedNumberRangeFormatter >

friend class NumberRangeFormatterSettings< UnlocalizedNumberRangeFormatter >

friend

Definition at line 451 of file numberrangeformatter.h.

The documentation for this class was generated from the following file:

- i18n/unicode/numberrangeformatter.h